+ Reply to Thread
Page 1 of 2 1 2 LastLast
Results 1 to 10 of 12
  1. #1
    Super Member Bill Tillman's Avatar
    Using
    AutoCAD 2018
    Join Date
    Oct 2008
    Location
    Miami, FL
    Posts
    1,260

    Default Sweep/Extrude Will Not Work With Stairs

    Registered forum members do not see this ad.

    I have laid out the attached 3D model which will have a handrail follow it's profile. In spite of all my efforts, I cannot seem to get the handrail section to sweep or extrude along the 3DPolyine I constructed. This 3DPolyline follows where the centerline of the top of the handrail will run. I could probably break the 3DPolyline into several sections and this would work, but I'm wanting to understand why it will not work as I have it now.

    The 3DPolyline is in the Construction Lines layer and is magenta.
    Attached Files
    It's deja vu, all over again.

  2. #2
    Forum Deity SEANT's Avatar
    Using
    AutoCAD 2014
    Join Date
    Aug 2005
    Location
    Rhode Island
    Posts
    2,453

    Default

    Does the design allow you to increase the lengths of your transitions. My guess is that there would be self intersecting geometry otherwise.
    Attached Files

  3. #3
    Super Moderator SLW210's Avatar
    Computer Details
    SLW210's Computer Details
    Operating System:
    Windows 7 PRO 64-bit
    Computer:
    IBM Lenovo
    Motherboard:
    ACPI x64
    CPU:
    Pentium(R) i5 4570 @ 3.2GHz
    RAM:
    8 GB RAM
    Graphics:
    Nvidia Quadro 600 1GB
    Primary Storage:
    300 GB
    Secondary Storage:
    650GB
    Monitor:
    2x ThinkVision 24"
    Discipline
    Multi-disciplinary
    SLW210's Discipline Details
    Occupation
    Design Draftsman
    Discipline
    Multi-disciplinary
    Details
    Mostly do drafting related to manufacturing. From doing site layouts with proposed updates, additions and renovations to be budgeted and submitted for bid, to updating and changing existing drawings to reflect maintenance and repair/revision work done on site.
    Using
    AutoCAD 2011
    Join Date
    May 2007
    Location
    South Florida, USA
    Posts
    11,795

    Default

    Sweep and Extrude Path both worked for me on AutoCAD 2011.
    Attached Files
    “A narrow mind and a fat head invariably come on the same person” Zig Zigler



  4. #4
    Senior Member Jef!'s Avatar
    Using
    AutoCAD 2008
    Join Date
    Sep 2010
    Posts
    246

    Default

    2013 : both worked
    2014 : both worked
    2015 : both failed.

    interesting.
    Different goal also quite often means different path...

  5. #5
    Super Moderator Cad64's Avatar
    Computer Details
    Cad64's Computer Details
    Operating System:
    Windows 7 Profesional x64
    Computer:
    XI Computers
    Motherboard:
    Asus P8Z77-V Pro
    CPU:
    Intel Core I7 3770K 4.1 Ghz Quad Core 3rd Gen
    RAM:
    24GB DDR3 @ 1333MHz
    Graphics:
    Nvidia GeForce GTX 570 1280MB GDDR5
    Primary Storage:
    SATAII 500GB 7200 RPM
    Secondary Storage:
    Western Digital My Book Studio Edition II - 2TB capacity
    Monitor:
    HPf2105 21" LCD Widescreen & Cintiq 21ux
    Discipline
    Multi-disciplinary
    Cad64's Discipline Details
    Occupation
    Freelance Digital Artist
    Discipline
    Multi-disciplinary
    Details
    3D model building, texturing and rendering. Photoshop Color Graphics.
    Using
    AutoCAD 2014
    Join Date
    Feb 2006
    Location
    Southern California
    Posts
    10,156

    Default

    I think we need more information and feedback from Bill.

    Your profile says you're using 2014, is that correct?
    Are you saying that Sweep and Extrude do not work at all? Or are you saying that the commands work, but you're having a problem with intersecting geometry as SEANT mentioned.

    I ran both commands on the drawing in Autocad 2014 and they both work fine except for the intersecting geometry, but that can be fixed by simply editing your polyline path.
    CGSociety Portfolio: http://rdeweese.cgsociety.org/
    Facebook:
    https://www.facebook.com/rdeweese67/


    "Work Smart, Not Hard"

  6. #6
    Senior Member Jef!'s Avatar
    Using
    AutoCAD 2008
    Join Date
    Sep 2010
    Posts
    246

    Default

    Here's what I get on 2015 (sp2)

    Command: EXTRUDE
    Current wire frame density: ISOLINES=4, Closed profiles creation mode = Solid
    Select objects to extrude or [MOde]: 1 found
    Select objects to extrude or [MOde]:
    Specify height of extrusion or [Direction/Path/Taper angle/Expression]: P
    Select extrusion path or [Taper angle]:
    Modeling Operation Error:
    Sweeping could not create a valid body.
    Unable to extrude the selected object.
    Command: SWEEP
    Current wire frame density: ISOLINES=4, Closed profiles creation mode = Solid
    Select objects to sweep or [MOde]: 1 found
    Select objects to sweep or [MOde]:
    Select sweep path or [Alignment/Base point/Scale/Twist]:
    Modeling Operation Error:
    Sweeping could not create a valid body.
    Unable to sweep 1 selected objects.
    In other versions (2013 (stock) / 2014 (sp1)) it works as is without changing the geometry nor error messages of any kind, and create the geometry without issues. It doesn't surprise me, as it is not the first time I witness that kind of behavior difference between versions. Different service pack might have some impact too.
    edit: sorry i just notice your question wasn't for me.
    Different goal also quite often means different path...

  7. #7
    Forum Deity SEANT's Avatar
    Using
    AutoCAD 2014
    Join Date
    Aug 2005
    Location
    Rhode Island
    Posts
    2,453

    Default

    Apparently some versions of AutoCAD will allow for the sweep. Perhaps they shouldn't, though. The sweep with the original polyline can't possibly happen with such a short transition. And even when AutoCAD allows the sweep, as in SLW210's drawing, the resultant solid has voids, not to mention serious fabrication issues.
    Attached Images

  8. #8
    Luminous Being
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    9,815

    Default

    I started to get same problems as Seant and just read his post was about to say you would need arcs with a min radius equal to the edge distance, If you want your shape then you would have to extrude each section and slice the 45 join but then it would need a vertical angle to be included as well 1/2 angle of rise. As soon as I went away from say a circle it stopped working 2016. In civil works this occurs with slope batters in 90 corners get weird answers.

    An old house builder told me once about working out compound cut angles for timber being young did not listen.

    Bill what you need is say some cut plane routines looking at your stairs the 1st is easy a simple +- 45 cut,
    the second is a 0 cut but 1/2 incline angle
    3rd - 1/2 incline angle plus a 45 +-

    and so on.

    Found it from Autocad help Use the SLICE command to slice a 3D solid or surface, you must specify a cutting plane or select a surface. By 3 points.

    You know the 3d pline vertices so using 3 pts should be able to work out all the angle variables, adding the shape to the vertice point and extruding at correct angle and length.
    Attached Files
    Last edited by BIGAL; 21st Oct 2017 at 06:16 am.
    A man who never made mistakes never made anything

  9. #9
    Luminous Being
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    9,815

    Default

    Bill had a play its raining so a bit of time. Run 1ststep and pick 3 points the code example is only for same Z rail. Then extrude the handrail past the intersection point on two sections so they overlap. Then run 2nd step it should do a 45 mitre for you. Union 2 halfs. Obviously need the next step and thats an incline plane to take into account hand rail rise. Need some more polar pts.


    Code:
    (defun c:1step ( / )
    (setq dist  50.0) ; change this to suit
    
    (SETQ ANGBASEE (GETVAR "ANGBASE"))
    (SETQ ANGDIRR (GETVAR "ANGDIR"))
    (SETQ LUNITSS (GETVAR "LUNITS"))
    (SETQ LUPRECC (GETVAR "LUPREC"))
    (SETQ AUNITSS (GETVAR "AUNITS"))
    (SETQ AUPRECC (GETVAR "AUPREC"))
    
    (SETVAR "LUNITS" 2)
    (SETVAR "ANGBASE" 0.0)
    (SETVAR "ANGDIR" 0)
    (SETVAR "LUPREC" 0)
    (SETVAR "AUNITS" 0)
    (SETVAR "AUPREC" 0)
    )
    
    (setq pt1 (getpoint))
    (setq pt2 (getpoint))
    (setq pt3 (getpoint))
    (setvar "osmode" 0)
    (setq ang1 (angle pt1 pt2))
    (setq ang2 (angle pt3 pt2))
    (setq horang (/ (+ ang1 ang2) 2.0))
    (setq pt4 (polar pt2 horang dist))
    (setq pt5 (polar pt2 (angle pt4 pt2) dist))
    (setq pt4top (list (car pt4)(cadr pt4)(+ (caddr pt4)dist)))
    (setq pt4bot (list (car pt4)(cadr pt4)(- (caddr pt4)dist)))
    (setq pt5 (list (car pt5)(cadr pt5)(- (caddr pt5)dist)))
    (alert "please extrude objects")
    )
    
    (defun c:2ndstep ( / )
    (setvar "osmode" 512)
    (setq obj (entsel  "pick 1st extruded object"))
    (setq ppt (cadr obj))
    (setvar "osmode" 0)
    (command "slice" obj "" "3" pt4top pt5 pt4bot ppt)
    (setq obj (entsel  "pick 2nd extruded object"))
    (setq ppt (cadr obj))
    (setvar "osmode" 0)
    (command "slice" obj "" "3" pt4top pt5 pt4bot ppt)
    (SETVAR "LUNITS" lunitss)
    (SETVAR "ANGBASE" angbasee)
    (SETVAR "ANGDIR" angdirr)
    (SETVAR "LUPREC" luprecc)
    (SETVAR "AUNITS" aunitss)
    (SETVAR "AUPREC" auprecc)
    )
    Attached Images
    A man who never made mistakes never made anything

  10. #10
    Super Member Bill Tillman's Avatar
    Using
    AutoCAD 2018
    Join Date
    Oct 2008
    Location
    Miami, FL
    Posts
    1,260

    Default

    Registered forum members do not see this ad.

    I will update my profile as I'm now using AutoCAD 2018. And that is the versions I'm trying to do this with. I get neither the sweep or extrude to work with it. I have an old copy of 2014 on another machine around here somewhere so later today I'll try it out.

    As for changing the design, no the architect's hate when I do that. And I think I can bust the polyline up into shorter sections to get it to work. I was just curious to see if I had gotten my layout correct for the entire run of the rail. Theoritally, when this is installed is should be one long continuous run. It's the darndest thing when sometimes in spite of carefully plotting each point (vertex) I end up with lines which will not trim or extend or join and then when I examine their properties closely I see that the Delta of either the z,y or x axis is not zero. I will examine the other replies later today when time permits so thanks to all.
    It's deja vu, all over again.

Similar Threads

  1. 'Cannot sweep or extrude a self-intersecting curve'
    By GemmaEBaird in forum AutoCAD 3D Modelling & Rendering
    Replies: 9
    Last Post: 22nd Dec 2014, 06:02 pm
  2. Cannot sweep or extrude object of this type
    By AJOT in forum AutoCAD 3D Modelling & Rendering
    Replies: 4
    Last Post: 26th Nov 2013, 01:20 pm
  3. extrude and sweep command
    By cadtagz in forum AutoCAD 3D Modelling & Rendering
    Replies: 4
    Last Post: 8th Mar 2012, 10:48 am
  4. Extrude or Sweep?
    By Oxygen454 in forum AutoCAD 3D Modelling & Rendering
    Replies: 96
    Last Post: 28th Dec 2009, 07:29 am
  5. Sweep or extrude
    By lilrose in forum AutoCAD 3D Modelling & Rendering
    Replies: 4
    Last Post: 27th Jan 2009, 02:09 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts